﻿/* Définition des polices personnalisées */

@font-face
{
    font-family: 'DejaVuSans';
    src: url('polices/DejaVuSans.ttf');
    font-weight: normal;
    font-style: normal;
}

@font-face
{
    font-family: 'DejaVuSans';
    src: url('polices/DejaVuSans.ttf');
    font-weight: normal;
    font-style: normal;
}

@font-face
{
    font-family: 'DejaVuSans-Bold';
    src: url('polices/DejaVuSans-Bold.ttf');
    font-weight: bold;
    font-style: normal;
}

@font-face
{
    font-family: 'DejaVuSans-Oblique';
    src: url('polices/DejaVuSans-Oblique.ttf');
    font-weight: normal;
    font-style: italic;
}

@font-face
{
    font-family: 'DejaVuSans-BoldOblique';
    src: url('polices/DejaVuSans-BoldOblique.ttf');
    font-weight: bold;
    font-style: italic;
}

@font-face
{
    font-family: 'CharisSILR';
    src: url('polices/CharisSILR.ttf');
    font-weight: normal;
    font-style: normal;
}

@font-face
{
    font-family: 'CharisSILB';
    src: url('polices/CharisSILB.ttf');
    font-weight: bold;
    font-style: normal;
}

@font-face
{
    font-family: 'CharisSILI';
    src: url('polices/CharisSILI.ttf');
    font-weight: normal;
    font-style: italic;
}

@font-face
{
    font-family: 'CharisSILBI';
    src: url('polices/CharisSILBI.ttf');
    font-weight: bold;
    font-style: italic;
}

/* Eléments principaux de la page */

body
{
    background: #FFFFFF;
    font-family: DejaVuSans, sans-serif;
    color: #181818;
}

#bloc_page
{
    background: #92c83e;
    width: 65%;
    margin: auto;
    border-radius: 50px;
}

section
{
    background: #f7f7f7;
    width: 90%;
    margin: auto;
    padding: 15px;
    border-radius: 20px;
    display: flex;
    align-items: flex-start;
}

section h1, footer h1, section legend
{
    font-family: CharisSILR, serif;
    font-weight: normal;
    text-transform: uppercase;
}

/* Header */

header
{
    display: flex;
    align-items: center;
}

header h1
{
    font-family: CharisSILBI, serif;
    font-size: 2.2em;
    font-weight: normal;
    color: white;
}

header h2
{
    font-family: CharisSILR, serif;
    font-size: 1.1em;
    margin-top: 0px;
    font-weight: normal;
    color: white;
}

#logo
{
    width: 30%;
    text-align: center;
    margin-right: 5px;
}

#en_tete
{
    width: 60%;
}

header .pseudo
{
    color: white;
}

/* Corps */

article
{
    width: 60%;
    margin-right: 20px;
}

article p
{
    font-size: 0.8em;
}

aside
{
    position: relative;
    width: 30%;
    background-color: #706b64;
    box-shadow: 0px 2px 5px #1c1a19;
    border-radius: 5px;
    padding: 10px;
    color: white;
    font-size: 0.9em;
}

aside a
{
    color: #92c83e;
}

article input
{
    background-color: #F0F0F0;
}

article input[type="submit"]
{
    background-color: #92c83e;
    color: white;
    padding: 5px;
    border-radius: 5px;
}

#fleche_bulle
{
    position: absolute;
    top: 100px;
    left: -12px;
}

/* Footer */

footer
{
    padding: 10px;
    text-align: center;
}

footer p
{
    font-size: 0.8em;
    color: white;
}

footer a
{
    color: #E8E8E8;
}

/* Tableaux */

section ul
{
    list-style-type: none;
}

section li.row
{
    display: inline-block;
    text-align: center;
    width: 22%;
    height: 30px;
}

#table {
    display:table;
    border-spacing:15px;
}
.row {
    display:table-row;
}
.cell {
    display:table-cell;
    text-align: center;
}

@media screen and (max-width: 479px) {
    header, section
    {
        flex-direction: column;
    }
    article, aside
    {
        width: 80%;
    }
    #table, .row {
        display: block;
    }
    .cell {
        display:inline-block;
        padding: 5px;
    }
}

/* Erreurs */

section li.erreur {
    color: #77a333;
}
